com.genesyslab.wfm8.API.service.config850

## Class CfgReportTask

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgReportTask

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTask
      extends java.lang.Object
      implements java.io.Serializable

  Describes task that schedules auto-generated report.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswUserId` An ID of user that owns Report Task `CfgUser`
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected double` | `wmEndDate` End Date for task to be run (can be null).
    `protected int` | `wmExportFormat` Export format
    `protected java.util.List<java.lang.Boolean>` | `wmFrequency` Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_WEEKLY to specify days of the week when task should run.
    `protected int` | `wmFrequencyDay` Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_MONTHLY to specify day of the month.
    `protected int` | `wmFrequencyType` `ECfgFrequencyType`
    `protected java.lang.String` | `wmName` Name of report
    `protected java.lang.String` | `wmReportFilter` Used to store custom report filter
    `protected int` | `wmReportTaskId` Report Task unique ID
    `protected int` | `wmReportType` Report Type
    `protected java.util.List<java.lang.Integer>` | `wmReportUsers` A report distribution list containing user IDs `CfgUser`
    `protected int` | `wmReportUsersNSizeIs` Number of elements in the wmReportUsers array
    `protected double` | `wmRunTime` Time of the day for the task to start `OleDateTime`
    `protected double` | `wmStartDate` Start Date for task to be run `OleDateTime`
    `protected int` | `wmStatus` Report status `ECfgReportTaskStatus`
    `protected int` | `wmTimezoneId` Identifies time zone used to schedule report task `CfgTimezone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmExportFormat()` Gets the value of the wmExportFormat property.
    `java.util.List<java.lang.Boolean>` | `getWmFrequency()` Gets the value of the wmFrequency property.
    `int` | `getWmFrequencyDay()` Gets the value of the wmFrequencyDay property.
    `int` | `getWmFrequencyType()` Gets the value of the wmFrequencyType property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmReportFilter()` Gets the value of the wmReportFilter property.
    `int` | `getWmReportTaskId()` Gets the value of the wmReportTaskId property.
    `int` | `getWmReportType()` Gets the value of the wmReportType property.
    `java.util.List<java.lang.Integer>` | `getWmReportUsers()` Gets the value of the wmReportUsers property.
    `int` | `getWmReportUsersNSizeIs()` Gets the value of the wmReportUsersNSizeIs property.
    `double` | `getWmRunTime()` Gets the value of the wmRunTime property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `hashCode()`
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmExportFormat(int value)` Sets the value of the wmExportFormat property.
    `void` | `setWmFrequency(java.util.List<java.lang.Boolean> wmFrequency)` Sets the value of the wmFrequency property.
    `void` | `setWmFrequencyDay(int value)` Sets the value of the wmFrequencyDay property.
    `void` | `setWmFrequencyType(int value)` Sets the value of the wmFrequencyType property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmReportFilter(java.lang.String value)` Sets the value of the wmReportFilter property.
    `void` | `setWmReportTaskId(int value)` Sets the value of the wmReportTaskId property.
    `void` | `setWmReportType(int value)` Sets the value of the wmReportType property.
    `void` | `setWmReportUsers(java.util.List<java.lang.Integer> wmReportUsers)` Sets the value of the wmReportUsers property.
    `void` | `setWmReportUsersNSizeIs(int value)` Sets the value of the wmReportUsersNSizeIs property.
    `void` | `setWmRunTime(double value)` Sets the value of the wmRunTime property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `java.lang.String` | `toString()`
    `CfgReportTask` | `withGswUserId(int value)`
    `CfgReportTask` | `withTimestamp(long value)`
    `CfgReportTask` | `withWmEndDate(double value)`
    `CfgReportTask` | `withWmExportFormat(int value)`
    `CfgReportTask` | `withWmFrequency(java.lang.Boolean... values)`
    `CfgReportTask` | `withWmFrequency(java.util.Collection<java.lang.Boolean> values)`
    `CfgReportTask` | `withWmFrequencyDay(int value)`
    `CfgReportTask` | `withWmFrequencyType(int value)`
    `CfgReportTask` | `withWmName(java.lang.String value)`
    `CfgReportTask` | `withWmReportFilter(java.lang.String value)`
    `CfgReportTask` | `withWmReportTaskId(int value)`
    `CfgReportTask` | `withWmReportType(int value)`
    `CfgReportTask` | `withWmReportUsers(java.util.Collection<java.lang.Integer> values)`
    `CfgReportTask` | `withWmReportUsers(java.lang.Integer... values)`
    `CfgReportTask` | `withWmReportUsersNSizeIs(int value)`
    `CfgReportTask` | `withWmRunTime(double value)`
    `CfgReportTask` | `withWmStartDate(double value)`
    `CfgReportTask` | `withWmStatus(int value)`
    `CfgReportTask` | `withWmTimezoneId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmReportTaskId

          protected int wmReportTaskId

      Report Task unique ID

    - #### wmReportType

          protected int wmReportType

      Report Type

    - #### wmName

          protected java.lang.String wmName

      Name of report

    - #### wmStartDate

          protected double wmStartDate

      Start Date for task to be run `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      End Date for task to be run (can be null). `OleDateTime`

    - #### wmRunTime

          protected double wmRunTime

      Time of the day for the task to start `OleDateTime`

    - #### wmFrequencyType

          protected int wmFrequencyType

      `ECfgFrequencyType`

    - #### wmFrequencyDay

          protected int wmFrequencyDay

      Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_MONTHLY to specify day of the month.

    - #### wmFrequency

          protected java.util.List<java.lang.Boolean> wmFrequency

      Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_WEEKLY to specify days of the week when task should run. Index 0-Mon, 1-Tue, 2-Wed, 3-Thu, 4-Fri, 5-Sat, 6-Sun

    - #### wmReportFilter

          protected java.lang.String wmReportFilter

      Used to store custom report filter

    - #### wmExportFormat

          protected int wmExportFormat

      Export format

    - #### wmStatus

          protected int wmStatus

      Report status `ECfgReportTaskStatus`

    - #### wmTimezoneId

          protected int wmTimezoneId

      Identifies time zone used to schedule report task `CfgTimezone`

    - #### wmReportUsersNSizeIs

          protected int wmReportUsersNSizeIs

      Number of elements in the wmReportUsers array

    - #### wmReportUsers

          protected java.util.List<java.lang.Integer> wmReportUsers

      A report distribution list containing user IDs `CfgUser`

    - #### gswUserId

          protected int gswUserId

      An ID of user that owns Report Task `CfgUser`

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgReportTask

          public CfgReportTask()

  - ### Method Detail

    - #### getWmReportTaskId

          public int getWmReportTaskId()

      Gets the value of the wmReportTaskId property.

    - #### setWmReportTaskId

          public void setWmReportTaskId(int value)

      Sets the value of the wmReportTaskId property.

    - #### getWmReportType

          public int getWmReportType()

      Gets the value of the wmReportType property.

    - #### setWmReportType

          public void setWmReportType(int value)

      Sets the value of the wmReportType property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmRunTime

          public double getWmRunTime()

      Gets the value of the wmRunTime property.

    - #### setWmRunTime

          public void setWmRunTime(double value)

      Sets the value of the wmRunTime property.

    - #### getWmFrequencyType

          public int getWmFrequencyType()

      Gets the value of the wmFrequencyType property.

    - #### setWmFrequencyType

          public void setWmFrequencyType(int value)

      Sets the value of the wmFrequencyType property.

    - #### getWmFrequencyDay

          public int getWmFrequencyDay()

      Gets the value of the wmFrequencyDay property.

    - #### setWmFrequencyDay

          public void setWmFrequencyDay(int value)

      Sets the value of the wmFrequencyDay property.

    - #### getWmFrequency

          public java.util.List<java.lang.Boolean> getWmFrequency()

      Gets the value of the wmFrequency property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmFrequency property.

      For example, to add a new item, do as follows:

              getWmFrequency().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### getWmReportFilter

          public java.lang.String getWmReportFilter()

      Gets the value of the wmReportFilter property.
      Returns:
        possible object is `String`

    - #### setWmReportFilter

          public void setWmReportFilter(java.lang.String value)

      Sets the value of the wmReportFilter property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmExportFormat

          public int getWmExportFormat()

      Gets the value of the wmExportFormat property.

    - #### setWmExportFormat

          public void setWmExportFormat(int value)

      Sets the value of the wmExportFormat property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmReportUsersNSizeIs

          public int getWmReportUsersNSizeIs()

      Gets the value of the wmReportUsersNSizeIs property.

    - #### setWmReportUsersNSizeIs

          public void setWmReportUsersNSizeIs(int value)

      Sets the value of the wmReportUsersNSizeIs property.

    - #### getWmReportUsers

          public java.util.List<java.lang.Integer> getWmReportUsers()

      Gets the value of the wmReportUsers property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportUsers property.

      For example, to add a new item, do as follows:

              getWmReportUsers().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmReportTaskId

          public CfgReportTask withWmReportTaskId(int value)

    - #### withWmReportType

          public CfgReportTask withWmReportType(int value)

    - #### withWmName

          public CfgReportTask withWmName(java.lang.String value)

    - #### withWmStartDate

          public CfgReportTask withWmStartDate(double value)

    - #### withWmEndDate

          public CfgReportTask withWmEndDate(double value)

    - #### withWmRunTime

          public CfgReportTask withWmRunTime(double value)

    - #### withWmFrequencyType

          public CfgReportTask withWmFrequencyType(int value)

    - #### withWmFrequencyDay

          public CfgReportTask withWmFrequencyDay(int value)

    - #### withWmFrequency

          public CfgReportTask withWmFrequency(java.lang.Boolean... values)

    - #### withWmFrequency

          public CfgReportTask withWmFrequency(java.util.Collection<java.lang.Boolean> values)

    - #### withWmReportFilter

          public CfgReportTask withWmReportFilter(java.lang.String value)

    - #### withWmExportFormat

          public CfgReportTask withWmExportFormat(int value)

    - #### withWmStatus

          public CfgReportTask withWmStatus(int value)

    - #### withWmTimezoneId

          public CfgReportTask withWmTimezoneId(int value)

    - #### withWmReportUsersNSizeIs

          public CfgReportTask withWmReportUsersNSizeIs(int value)

    - #### withWmReportUsers

          public CfgReportTask withWmReportUsers(java.lang.Integer... values)

    - #### withWmReportUsers

          public CfgReportTask withWmReportUsers(java.util.Collection<java.lang.Integer> values)

    - #### withGswUserId

          public CfgReportTask withGswUserId(int value)

    - #### withTimestamp

          public CfgReportTask withTimestamp(long value)

    - #### setWmFrequency

          public void setWmFrequency(java.util.List<java.lang.Boolean> wmFrequency)

      Sets the value of the wmFrequency property.
      Parameters:
        `wmFrequency` - allowed object is `Boolean`

    - #### setWmReportUsers

          public void setWmReportUsers(java.util.List<java.lang.Integer> wmReportUsers)

      Sets the value of the wmReportUsers property.
      Parameters:
        `wmReportUsers` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.